{
  "name": "@discord-clone/electron",
  "private": true,
  "version": "1.0.36",
  "description": "Brycord - Electron app",
  "author": "Moyettes",
  "type": "module",
  "main": "main.cjs",
  "homepage": "./",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "electron:dev": "concurrently \"vite\" \"wait-on tcp:5173 && electron . --dev\"",
    "electron:build": "vite build && electron-builder"
  },
  "build": {
    "appId": "com.yourorg.discord-clone",
    "npmRebuild": false,
    "productName": "Brycord",
    "icon": "icon.png",
    "files": [
      "dist-react/**/*",
      "main.cjs",
      "preload.cjs",
      "updater.cjs",
      "splash.html",
      "icon.png",
      "package.json"
    ],
    "directories": {
      "output": "dist"
    },
    "publish": [
      {
        "provider": "generic",
        "url": "https://gitea.moyettes.com/Moyettes/DiscordClone/releases/download/latest"
      }
    ],
    "win": {
      "target": ["nsis"]
    },
    "mac": {
      "target": ["dmg", "zip"],
      "category": "public.app-category.social-networking"
    },
    "linux": {
      "target": ["AppImage"],
      "category": "Network;InstantMessaging"
    },
    "nsis": {
      "oneClick": true,
      "perMachine": false
    }
  },
  "dependencies": {
    "@discord-clone/shared": "*",
    "electron-log": "^5.4.3",
    "electron-updater": "^6.7.3"
  },
  "devDependencies": {
    "@vitejs/plugin-react": "^5.1.1",
    "concurrently": "^9.2.1",
    "electron": "33.4.11",
    "electron-builder": "^25.1.8",
    "vite": "^7.2.4",
    "wait-on": "^8.0.1"
  }
}
